mbedtls_ssl_ciphersuite_t Struct Reference

This structure is used for storing ciphersuite information. More...

`#include <ssl_ciphersuites.h>`

## Data Fields

int | id
const char * | name
mbedtls_cipher_type_t | cipher
mbedtls_md_type_t | mac
mbedtls_key_exchange_type_t | key_exchange
int | min_major_ver
int | min_minor_ver
int | max_major_ver
int | max_minor_ver
unsigned char | flags

## Detailed Description

This structure is used for storing ciphersuite information.

Definition at line 337 of file ssl_ciphersuites.h.

## Field Documentation

## cipher

mbedtls_cipher_type_t mbedtls_ssl_ciphersuite_t::cipher

Definition at line 342 of file ssl_ciphersuites.h.

## flags

unsigned char mbedtls_ssl_ciphersuite_t::flags

Definition at line 351 of file ssl_ciphersuites.h.

## id

int mbedtls_ssl_ciphersuite_t::id

Definition at line 339 of file ssl_ciphersuites.h.

## key_exchange

mbedtls_key_exchange_type_t mbedtls_ssl_ciphersuite_t::key_exchange

Definition at line 344 of file ssl_ciphersuites.h.

Referenced by mbedtls_ssl_ciphersuite_cert_req_allowed(), mbedtls_ssl_ciphersuite_has_pfs(), mbedtls_ssl_ciphersuite_no_pfs(), mbedtls_ssl_ciphersuite_uses_dhe(), mbedtls_ssl_ciphersuite_uses_ecdh(), mbedtls_ssl_ciphersuite_uses_ecdhe(), and mbedtls_ssl_ciphersuite_uses_server_signature().

## mac

mbedtls_md_type_t mbedtls_ssl_ciphersuite_t::mac

Definition at line 343 of file ssl_ciphersuites.h.

## max_major_ver

int mbedtls_ssl_ciphersuite_t::max_major_ver

Definition at line 348 of file ssl_ciphersuites.h.

## max_minor_ver

int mbedtls_ssl_ciphersuite_t::max_minor_ver

Definition at line 349 of file ssl_ciphersuites.h.

## min_major_ver

int mbedtls_ssl_ciphersuite_t::min_major_ver

Definition at line 346 of file ssl_ciphersuites.h.

## min_minor_ver

int mbedtls_ssl_ciphersuite_t::min_minor_ver

Definition at line 347 of file ssl_ciphersuites.h.

## name

const char* mbedtls_ssl_ciphersuite_t::name

Definition at line 340 of file ssl_ciphersuites.h.

The documentation for this struct was generated from the following file:

- ssl_ciphersuites.h